> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Donor

> Updates the Donor Profile for the given id



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json patch /api/v3/donors/{donorId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/donors/{donorId}:
    patch:
      tags:
        - Donors
      summary: Update Donor
      description: Updates the Donor Profile for the given id
      operationId: OpenApiDonorProfilesController_updateDonorProfile
      parameters:
        - name: donorId
          required: true
          in: path
          description: The ID of the donor to update.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
      requestBody:
        required: true
        description: Parameters to update a Donor Profile
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDonorProfileParams'
      responses:
        '204':
          description: Successfully updated Donor Profile
        '400':
          description: Donor does not belong to the nonprofit
        '403':
          description: This Donor Profile is associated to a Donor and cannot be updated.
        '404':
          description: Donor profile does not exist
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    UpdateDonorProfileParams:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The email address of the donor
          example: john.doe@example.com
        firstName:
          type: string
          description: The first name of the donor
          example: John
        lastName:
          type: string
          description: The last name of the donor
          example: Doe
        phone:
          type: string
          description: The phone number of the donor
          example: '+1234567890'
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````